﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __Supplier = LightSwitchApplication.Supplier

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class Supplier
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __Supplier, __Supplier.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the Supplier entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __Supplier))
            MyBase.New(entitySet)
            
            __Supplier.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Supplier_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Supplier_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __Supplier.DetailsClass.GetValue(Me, __Supplier.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __Supplier.DetailsClass.SetValue(Me, __Supplier.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __Supplier.DetailsClass.GetValue(Me, __Supplier.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __Supplier.DetailsClass.SetValue(Me, __Supplier.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property SupplierName As String
            Get
                Return __Supplier.DetailsClass.GetValue(Me, __Supplier.DetailsClass.PropertySetProperties.SupplierName)
            End Get
            Set
                __Supplier.DetailsClass.SetValue(Me, __Supplier.DetailsClass.PropertySetProperties.SupplierName, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SupplierName_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SupplierName_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SupplierName_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Email As String
            Get
                Return __Supplier.DetailsClass.GetValue(Me, __Supplier.DetailsClass.PropertySetProperties.Email)
            End Get
            Set
                __Supplier.DetailsClass.SetValue(Me, __Supplier.DetailsClass.PropertySetProperties.Email, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Email_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Email_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Email_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Phone As String
            Get
                Return __Supplier.DetailsClass.GetValue(Me, __Supplier.DetailsClass.PropertySetProperties.Phone)
            End Get
            Set
                __Supplier.DetailsClass.SetValue(Me, __Supplier.DetailsClass.PropertySetProperties.Phone, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Phone_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Phone_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Phone_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property ContactPerson As String
            Get
                Return __Supplier.DetailsClass.GetValue(Me, __Supplier.DetailsClass.PropertySetProperties.ContactPerson)
            End Get
            Set
                __Supplier.DetailsClass.SetValue(Me, __Supplier.DetailsClass.PropertySetProperties.ContactPerson, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ContactPerson_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ContactPerson_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ContactPerson_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property InvoiceHeader As Global.Microsoft.LightSwitch.Framework.EntityCollection(Of Global.LightSwitchApplication.InvoiceHeader)
            Get
                Return __Supplier.DetailsClass.GetValue(Me, __Supplier.DetailsClass.PropertySetProperties.InvoiceHeader)
            End Get
        End Property
        
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property InvoiceHeaderQuery As Microsoft.LightSwitch.IDataServiceQueryable(Of Global.LightSwitchApplication.InvoiceHeader)
            Get
                Return __Supplier.DetailsClass.GetQuery(Me, __Supplier.DetailsClass.PropertySetProperties.InvoiceHeader)
            End Get
        End Property

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property InventoryDetails As Global.Microsoft.LightSwitch.Framework.EntityCollection(Of Global.LightSwitchApplication.InventoryDetail)
            Get
                Return __Supplier.DetailsClass.GetValue(Me, __Supplier.DetailsClass.PropertySetProperties.InventoryDetails)
            End Get
        End Property
        
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property InventoryDetailsQuery As Microsoft.LightSwitch.IDataServiceQueryable(Of Global.LightSwitchApplication.InventoryDetail)
            Get
                Return __Supplier.DetailsClass.GetQuery(Me, __Supplier.DetailsClass.PropertySetProperties.InventoryDetails)
            End Get
        End Property

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __Supplier, _
                __Supplier.DetailsClass, _
                __Supplier.DetailsClass.IImplementation, _
                __Supplier.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __Supplier, __Supplier.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __Supplier, __Supplier.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __Supplier.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __SupplierEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __Supplier, __Supplier.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __Supplier, __Supplier.DetailsClass).Entry( _
                    AddressOf __Supplier.DetailsClass.__Supplier_CreateNew, _
                    AddressOf __Supplier.DetailsClass.__Supplier_Created, _
                    AddressOf __Supplier.DetailsClass.__Supplier_AllowSaveWithErrors)
            Private Shared Function __Supplier_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __Supplier)) As __Supplier
                Return New __Supplier(es)
            End Function
            Private Shared Sub __Supplier_Created(e As __Supplier)
                e.Supplier_Created()
            End Sub
            Private Shared Function __Supplier_AllowSaveWithErrors(e As __Supplier) As Boolean
                Dim result As Boolean = False
                e.Supplier_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __Supplier, __Supplier.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __Supplier, __Supplier.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __Supplier.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __Supplier, __Supplier.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Supplier.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Supplier.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property SupplierName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Supplier.DetailsClass.PropertySetProperties.SupplierName),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Email As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Supplier.DetailsClass.PropertySetProperties.Email),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Phone As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Supplier.DetailsClass.PropertySetProperties.Phone),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property ContactPerson As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Supplier.DetailsClass.PropertySetProperties.ContactPerson),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property InvoiceHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Supplier, __Supplier.DetailsClass, Global.LightSwitchApplication.InvoiceHeader)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Supplier.DetailsClass.PropertySetProperties.InvoiceHeader),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Supplier, __Supplier.DetailsClass, Global.LightSwitchApplication.InvoiceHeader))
                    End Get
                End Property
                
                Public ReadOnly Property InventoryDetails As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Supplier, __Supplier.DetailsClass, Global.LightSwitchApplication.InventoryDetail)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Supplier.DetailsClass.PropertySetProperties.InventoryDetails),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Supplier, __Supplier.DetailsClass, Global.LightSwitchApplication.InventoryDetail))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property SupplierName As String
                Shadows Property Email As String
                Shadows Property Phone As String
                Shadows Property ContactPerson As String
                Shadows ReadOnly Property InvoiceHeader As Global.System.Collections.IEnumerable
                Shadows ReadOnly Property InventoryDetails As Global.System.Collections.IEnumerable
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Supplier.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, Integer).Data), d As __Supplier.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __Supplier) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __Supplier, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __Supplier.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __Supplier.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __Supplier)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Supplier.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, Byte()).Data), d As __Supplier.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __Supplier) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __Supplier, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __Supplier.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __Supplier.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __Supplier)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly SupplierName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String).Entry( _
                        "SupplierName", _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._SupplierName_Stub, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._SupplierName_ComputeIsReadOnly, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._SupplierName_Validate, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._SupplierName_GetImplementationValue, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._SupplierName_SetImplementationValue, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._SupplierName_OnValueChanged)
                Private Shared Sub _SupplierName_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Supplier.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String).Data), d As __Supplier.DetailsClass, sf As Object)
                    c(d, d._SupplierName, sf)
                End Sub
                Private Shared Function _SupplierName_ComputeIsReadOnly(e As __Supplier) As Boolean
                    Dim result As Boolean = False
                    e.SupplierName_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _SupplierName_Validate(e As __Supplier, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.SupplierName_Validate(r)
                End Sub
                Private Shared Function _SupplierName_GetImplementationValue(d As __Supplier.DetailsClass) As String
                    Return d.ImplementationEntity.SupplierName
                End Function
                Private Shared Sub _SupplierName_SetImplementationValue(d As __Supplier.DetailsClass, v As String)
                    d.ImplementationEntity.SupplierName = v
                End Sub
                Private Shared Sub _SupplierName_OnValueChanged(e As __Supplier)
                    e.SupplierName_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Email As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String).Entry( _
                        "Email", _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._Email_Stub, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._Email_ComputeIsReadOnly, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._Email_Validate, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._Email_GetImplementationValue, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._Email_SetImplementationValue, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._Email_OnValueChanged)
                Private Shared Sub _Email_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Supplier.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String).Data), d As __Supplier.DetailsClass, sf As Object)
                    c(d, d._Email, sf)
                End Sub
                Private Shared Function _Email_ComputeIsReadOnly(e As __Supplier) As Boolean
                    Dim result As Boolean = False
                    e.Email_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Email_Validate(e As __Supplier, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Email_Validate(r)
                End Sub
                Private Shared Function _Email_GetImplementationValue(d As __Supplier.DetailsClass) As String
                    Return d.ImplementationEntity.Email
                End Function
                Private Shared Sub _Email_SetImplementationValue(d As __Supplier.DetailsClass, v As String)
                    d.ImplementationEntity.Email = v
                End Sub
                Private Shared Sub _Email_OnValueChanged(e As __Supplier)
                    e.Email_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Phone As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String).Entry( _
                        "Phone", _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._Phone_Stub, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._Phone_ComputeIsReadOnly, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._Phone_Validate, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._Phone_GetImplementationValue, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._Phone_SetImplementationValue, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._Phone_OnValueChanged)
                Private Shared Sub _Phone_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Supplier.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String).Data), d As __Supplier.DetailsClass, sf As Object)
                    c(d, d._Phone, sf)
                End Sub
                Private Shared Function _Phone_ComputeIsReadOnly(e As __Supplier) As Boolean
                    Dim result As Boolean = False
                    e.Phone_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Phone_Validate(e As __Supplier, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Phone_Validate(r)
                End Sub
                Private Shared Function _Phone_GetImplementationValue(d As __Supplier.DetailsClass) As String
                    Return d.ImplementationEntity.Phone
                End Function
                Private Shared Sub _Phone_SetImplementationValue(d As __Supplier.DetailsClass, v As String)
                    d.ImplementationEntity.Phone = v
                End Sub
                Private Shared Sub _Phone_OnValueChanged(e As __Supplier)
                    e.Phone_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly ContactPerson As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String).Entry( _
                        "ContactPerson", _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._ContactPerson_Stub, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._ContactPerson_ComputeIsReadOnly, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._ContactPerson_Validate, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._ContactPerson_GetImplementationValue, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._ContactPerson_SetImplementationValue, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._ContactPerson_OnValueChanged)
                Private Shared Sub _ContactPerson_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Supplier.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String).Data), d As __Supplier.DetailsClass, sf As Object)
                    c(d, d._ContactPerson, sf)
                End Sub
                Private Shared Function _ContactPerson_ComputeIsReadOnly(e As __Supplier) As Boolean
                    Dim result As Boolean = False
                    e.ContactPerson_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _ContactPerson_Validate(e As __Supplier, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.ContactPerson_Validate(r)
                End Sub
                Private Shared Function _ContactPerson_GetImplementationValue(d As __Supplier.DetailsClass) As String
                    Return d.ImplementationEntity.ContactPerson
                End Function
                Private Shared Sub _ContactPerson_SetImplementationValue(d As __Supplier.DetailsClass, v As String)
                    d.ImplementationEntity.ContactPerson = v
                End Sub
                Private Shared Sub _ContactPerson_OnValueChanged(e As __Supplier)
                    e.ContactPerson_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly InvoiceHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Supplier, __Supplier.DetailsClass, Global.LightSwitchApplication.InvoiceHeader).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Supplier, __Supplier.DetailsClass, Global.LightSwitchApplication.InvoiceHeader).Entry( _
                        "InvoiceHeader", _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._InvoiceHeader_Stub, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._InvoiceHeader_GetReferencedEntities, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._InvoiceHeader_GetEntityCollection)
                Private Shared Sub _InvoiceHeader_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Supplier.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Supplier, __Supplier.DetailsClass, Global.LightSwitchApplication.InvoiceHeader).Data), d As __Supplier.DetailsClass, sf As Object)
                    c(d, d._InvoiceHeader, sf)
                End Sub
                Private Shared Function _InvoiceHeader_GetReferencedEntities(d As __Supplier.DetailsClass) As Global.System.Collections.Generic.IEnumerable(Of Global.LightSwitchApplication.InvoiceHeader)
                    Return d.GetReferencedEntities(Of Global.LightSwitchApplication.InvoiceHeader, Global.LightSwitchApplication.InvoiceHeader.DetailsClass)(__Supplier.DetailsClass.PropertySetProperties.InvoiceHeader, d._InvoiceHeader)
                End Function
                Private Shared Function _InvoiceHeader_GetEntityCollection(d As __Supplier.DetailsClass) As Global.System.Collections.IEnumerable
                    Return d.ImplementationEntity.InvoiceHeader
                End Function
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly InventoryDetails As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Supplier, __Supplier.DetailsClass, Global.LightSwitchApplication.InventoryDetail).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Supplier, __Supplier.DetailsClass, Global.LightSwitchApplication.InventoryDetail).Entry( _
                        "InventoryDetails", _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._InventoryDetails_Stub, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._InventoryDetails_GetReferencedEntities, _
                        AddressOf __Supplier.DetailsClass.PropertySetProperties._InventoryDetails_GetEntityCollection)
                Private Shared Sub _InventoryDetails_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Supplier.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Supplier, __Supplier.DetailsClass, Global.LightSwitchApplication.InventoryDetail).Data), d As __Supplier.DetailsClass, sf As Object)
                    c(d, d._InventoryDetails, sf)
                End Sub
                Private Shared Function _InventoryDetails_GetReferencedEntities(d As __Supplier.DetailsClass) As Global.System.Collections.Generic.IEnumerable(Of Global.LightSwitchApplication.InventoryDetail)
                    Return d.GetReferencedEntities(Of Global.LightSwitchApplication.InventoryDetail, Global.LightSwitchApplication.InventoryDetail.DetailsClass)(__Supplier.DetailsClass.PropertySetProperties.InventoryDetails, d._InventoryDetails)
                End Function
                Private Shared Function _InventoryDetails_GetEntityCollection(d As __Supplier.DetailsClass) As Global.System.Collections.IEnumerable
                    Return d.ImplementationEntity.InventoryDetails
                End Function
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _SupplierName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Email As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Phone As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _ContactPerson As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Supplier, __Supplier.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _InvoiceHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Supplier, __Supplier.DetailsClass, Global.LightSwitchApplication.InvoiceHeader).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _InventoryDetails As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Supplier, __Supplier.DetailsClass, Global.LightSwitchApplication.InventoryDetail).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
